Delete a contact person (tenant:masterdata:write)
DELETE /api/masterdata/addresses/{id}/contacts/{cid}
Module: Master data · operationId: deleteContactPerson · Tag: Contact persons · Auth: access token (Authorization: Bearer <accessToken>)
Bumps the address version and emits masterdata.address.updated.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | yes | |
cid |
path | string (uuid) | yes | Contact person id |
Responses
- 200 Deleted (
application/json) - 401 Missing, invalid or expired token (empty body)
- 403 The token lacks the permission or carries no tenant (
application/json) - 404 Not found in the caller's tenant (or merged, see
code) (application/json) - 409 Stale version or conflict with existing data (
application/json)
Fields of the 200 answer:
addressVersion(integer, required): New version of the address
Example 200 answer:
{
"addressVersion": 8
}
Example request
curl -X DELETE 'https://api.mbcom.cloud/api/masterdata/addresses/3f6c1a52-7b1e-4d2a-9c8e-2b5f0d6a91e4/contacts/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12' \
-H "Authorization: Bearer $ACCESS_TOKEN"